Skip to content

upsertQuoteOperationTool

WRITE

Upsert quote operation tool.

POST /api/v1/sales/upsertQuoteOperationTool
curl -X POST '<your-host>/api/v1/sales/upsertQuoteOperationTool' \
  -H 'Authorization: Bearer <api-key>' \
  -H 'Content-Type: application/json' \
  -d '{
    "operationId": "string",
    "toolId": "string",
    "quantity": 0,
    "_operation": "create"
  }'
Response
{
  "id": "string"
}

Parameters

ParameterType

Required. 'create' inserts a new record, 'update' modifies the existing record with this id.

"create""update"
min length 1
min 0.000001
min length 1

Input schema

schema
{
  "type": "object",
  "properties": {
    "operationId": {
      "type": "string",
      "minLength": 1
    },
    "toolId": {
      "type": "string",
      "minLength": 1
    },
    "quantity": {
      "type": "number",
      "minimum": 0.000001
    },
    "id": {
      "type": "string"
    },
    "updatedAt": {
      "type": "string"
    },
    "_operation": {
      "type": "string",
      "enum": [
        "create",
        "update"
      ],
      "description": "Required. 'create' inserts a new record, 'update' modifies the existing record with this id."
    }
  },
  "required": [
    "operationId",
    "toolId",
    "quantity",
    "_operation"
  ]
}